Skip to main content
Documentation

Jobs

Actions in the jobs namespace of the Nexigon Hub API.

Badges mark actions of the Device API and the Admin API, whose compatibility differs from other actions.

jobs_Query

POST/api/v1/actions/invoke/jobs_QueryAdmin API

Query the jobs of the instance.

Request QueryJobsAction

No fields. Send an empty JSON object.

Response QueryJobsOutput

  • jobsarray<object>Job

    List of jobs.

    10 fields
    • jobIdstringJobId

      Job ID.

    • statusstringJobStatus

      Status of the job.

      • "Pending"

        Job is pending.

      • "Completed"

        Job has been completed successfully.

      • "Failed"

        Job has failed.

      • "Expired"

        Job has expired and is no longer valid.

      • "Cancelled"

        Job has been cancelled.

    • jobstring

      Type of the job.

    • queuedboolean

      Indicates whether the job is currently queued for execution.

    • attemptsinteger

      Attempts of executing the job.

    • retryLimitintegeroptional

      Maximum number of retries for the job.

    • retryDelayinteger

      Delay in seconds for retrying the job.

    • timeoutinteger

      Timeout for an individual execution of the job (defaults to 30 minutes).

    • createdAtstring (date-time)Timestamp

      Timestamp indicating when the job was created.

    • finishedAtstring (date-time)Timestampoptional

      Timestamp indicating when the job has finished (if applicable).

Example

curl --fail-with-body \
  -H "Authorization: Bearer $NEXIGON_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}' \
  $NEXIGON_HUB_URL/api/v1/actions/invoke/jobs_Query
{
  "jobs": [
    {
      "jobId": "<job-id>",
      "status": "Pending",
      "job": "<job>",
      "queued": true,
      "attempts": 1,
      "retryDelay": 1,
      "timeout": 1,
      "createdAt": "2026-01-01T12:00:00Z"
    }
  ]
}